package com.qmth.teachcloud.mark.service;

import com.qmth.teachcloud.mark.entity.MarkHeaderTag;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 组长特殊标记表 服务类
 * </p>
 *
 * @author xf
 * @since 2023-11-01
 */
public interface MarkHeaderTagService extends IService<MarkHeaderTag> {

    void deleteByStudentIdAndGroupNumber(Long studentId, Integer groupNumber);

    void deleteByExamIdAndPaperNumberAndGroupNumber(Long examId, String paperNumber, Integer number);

	List<MarkHeaderTag> findByStudentId(Long studentId);

	void deleteByExamIdAndPaperNumberAndGroupNumberAndStudentId(Long examId, String paperNumber, Integer groupNumber,
			Long studentId);
}
